View Issue Details

IDProjectCategoryView StatusLast Update
0035858LazarusWidgetsetpublic2020-01-04 21:45
ReporterChris Rorden Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformSystem76OSUbutnu 18.04 
Product Version2.0.3 (SVN) 
Summary0035858: GTK2: Form AutoSize does not take menu size into account with bsSingle
DescriptionThe default form border style is "bsSizeable". However, if this is changed to "bsSingle" and one associates a menu with the form, autosized forms do not estimate the menu height.
Steps To ReproduceSee attached example program.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0036493 closedJuha Manninen Form with autosize := true does not consider width of TPageControl TTabSheet 

Activities

Chris Rorden

2019-07-18 14:42

reporter  

bsSingleWithMenuGTK2.zip (118,576 bytes)

Chris Rorden

2019-12-29 12:33

reporter   ~0120130

Tested with 62454 and described problem has been resolved (will create new issue for residual issues). Can one of the developers change the status to "Fixed" so I can close this issue?

Juha Manninen

2019-12-29 14:17

developer   ~0120133

Do you know which revision fixed the problem? I would like to have it mentioned in this issue.

Chris Rorden

2019-12-31 15:29

reporter   ~0120170

Sorry, I have not examined this in a long time. If this is very important, I can test, but it would take a long time. I assume this bug was fixed by this newer bug
  https://bugs.freepascal.org/view.php?id=36493
which impacts all widget sets.

Juha Manninen

2020-01-01 22:44

developer   ~0120177

Ok, resolving.

Issue History

Date Modified Username Field Change
2019-07-18 14:42 Chris Rorden New Issue
2019-07-18 14:42 Chris Rorden File Added: bsSingleWithMenuGTK2.zip
2019-12-29 12:33 Chris Rorden Note Added: 0120130
2019-12-29 14:17 Juha Manninen Note Added: 0120133
2019-12-29 22:57 Juha Manninen Assigned To => Juha Manninen
2019-12-29 22:57 Juha Manninen Status new => feedback
2019-12-29 22:57 Juha Manninen LazTarget => -
2019-12-31 15:29 Chris Rorden Note Added: 0120170
2019-12-31 15:29 Chris Rorden Status feedback => assigned
2020-01-01 22:43 Juha Manninen Relationship added related to 0036493
2020-01-01 22:44 Juha Manninen Status assigned => resolved
2020-01-01 22:44 Juha Manninen Resolution open => fixed
2020-01-01 22:44 Juha Manninen Widgetset GTK 2 => GTK 2
2020-01-01 22:44 Juha Manninen Note Added: 0120177
2020-01-04 21:45 Chris Rorden Status resolved => closed